## org.apache.lucene.util
Class Bits.MatchNoBits

    java.lang.Object
      org.apache.lucene.util.Bits.MatchNoBits

All Implemented Interfaces:
  Bits

Enclosing interface:
  Bits

    public static class Bits.MatchNoBits

extends Object
implements Bits

Bits impl of the specified length with no bits set.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.util.Bits
`Bits.MatchAllBits, Bits.MatchNoBits`

Field Summary

Fields inherited from interface org.apache.lucene.util.Bits
`EMPTY_ARRAY`

Constructor Summary
`Bits.MatchNoBits(int len)`

Method Summary
`boolean` `get(int index)`
`int` `length()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bits.MatchNoBits

    public Bits.MatchNoBits(int len)

Method Detail

### get

    public boolean get(int index)

  Specified by:
    `get` in interface `Bits`

### length

    public int length()

  Specified by:
    `length` in interface `Bits`